sighead.h File Reference
`#include <gwenhywfar/list1.h>`
`#include <gwenhywfar/buffer.h>`
`#include <gwenhywfar/gwentime.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_SIGHEAD | GWEN_SIGHEAD

## Functions

GWENHYWFAR_API void | GWEN_SigHead_free (GWEN_SIGHEAD *sh)
GWENHYWFAR_API GWEN_SIGHEAD * | GWEN_SigHead_fromBuffer (const uint8_t *p, uint32_t l)
GWENHYWFAR_API const GWEN_TIME * | GWEN_SigHead_GetDateTime (const GWEN_SIGHEAD *sh)
GWENHYWFAR_API const char * | GWEN_SigHead_GetKeyName (const GWEN_SIGHEAD *sh)
GWENHYWFAR_API int | GWEN_SigHead_GetKeyNumber (const GWEN_SIGHEAD *sh)
GWENHYWFAR_API int | GWEN_SigHead_GetKeyVersion (const GWEN_SIGHEAD *sh)
GWENHYWFAR_API int | GWEN_SigHead_GetSignatureNumber (const GWEN_SIGHEAD *sh)
GWENHYWFAR_API int | GWEN_SigHead_GetSignatureProfile (const GWEN_SIGHEAD *sh)
GWENHYWFAR_API GWEN_SIGHEAD * | GWEN_SigHead_new (void)
GWENHYWFAR_API void | GWEN_SigHead_SetDateTime (GWEN_SIGHEAD *sh, const GWEN_TIME *ti)
GWENHYWFAR_API void | GWEN_SigHead_SetKeyName (GWEN_SIGHEAD *sh, const char *s)
GWENHYWFAR_API void | GWEN_SigHead_SetKeyNumber (GWEN_SIGHEAD *sh, int i)
GWENHYWFAR_API void | GWEN_SigHead_SetKeyVersion (GWEN_SIGHEAD *sh, int i)
GWENHYWFAR_API void | GWEN_SigHead_SetSignatureNumber (GWEN_SIGHEAD *sh, int i)
GWENHYWFAR_API void | GWEN_SigHead_SetSignatureProfile (GWEN_SIGHEAD *sh, int i)
GWENHYWFAR_API int | GWEN_SigHead_toBuffer (const GWEN_SIGHEAD *sh, GWEN_BUFFER *buf, uint8_t tagType)

## Typedef Documentation

## GWEN_SIGHEAD

typedef struct GWEN_SIGHEAD GWEN_SIGHEAD

Definition at line 23 of file sighead.h.

## Function Documentation

## GWEN_SigHead_free()

GWENHYWFAR_API void GWEN_SigHead_free | ( | GWEN_SIGHEAD * | sh | ) |

References GWENHYWFAR_API.

## GWEN_SigHead_fromBuffer()

GWENHYWFAR_API GWEN_SIGHEAD * GWEN_SigHead_fromBuffer | ( | const uint8_t * | p,
|  | uint32_t | l )

References GWENHYWFAR_API.

## GWEN_SigHead_GetDateTime()

GWENHYWFAR_API const GWEN_TIME * GWEN_SigHead_GetDateTime | ( | const GWEN_SIGHEAD * | sh | ) |

References GWENHYWFAR_API.

## GWEN_SigHead_GetKeyName()

GWENHYWFAR_API const char * GWEN_SigHead_GetKeyName | ( | const GWEN_SIGHEAD * | sh | ) |

References GWENHYWFAR_API.

## GWEN_SigHead_GetKeyNumber()

GWENHYWFAR_API int GWEN_SigHead_GetKeyNumber | ( | const GWEN_SIGHEAD * | sh | ) |

References GWENHYWFAR_API.

## GWEN_SigHead_GetKeyVersion()

GWENHYWFAR_API int GWEN_SigHead_GetKeyVersion | ( | const GWEN_SIGHEAD * | sh | ) |

References GWENHYWFAR_API.

## GWEN_SigHead_GetSignatureNumber()

GWENHYWFAR_API int GWEN_SigHead_GetSignatureNumber | ( | const GWEN_SIGHEAD * | sh | ) |

References GWENHYWFAR_API.

## GWEN_SigHead_GetSignatureProfile()

GWENHYWFAR_API int GWEN_SigHead_GetSignatureProfile | ( | const GWEN_SIGHEAD * | sh | ) |

References GWENHYWFAR_API.

## GWEN_SigHead_new()

GWENHYWFAR_API GWEN_SIGHEAD * GWEN_SigHead_new | ( | void |  | ) |

References GWENHYWFAR_API.

## GWEN_SigHead_SetDateTime()

GWENHYWFAR_API void GWEN_SigHead_SetDateTime | ( | GWEN_SIGHEAD * | sh,
|  | const GWEN_TIME * | ti )

References GWENHYWFAR_API.

## GWEN_SigHead_SetKeyName()

GWENHYWFAR_API void GWEN_SigHead_SetKeyName | ( | GWEN_SIGHEAD * | sh,
|  | const char * | s )

References GWENHYWFAR_API.

## GWEN_SigHead_SetKeyNumber()

GWENHYWFAR_API void GWEN_SigHead_SetKeyNumber | ( | GWEN_SIGHEAD * | sh,
|  | int | i )

References GWENHYWFAR_API.

## GWEN_SigHead_SetKeyVersion()

GWENHYWFAR_API void GWEN_SigHead_SetKeyVersion | ( | GWEN_SIGHEAD * | sh,
|  | int | i )

References GWENHYWFAR_API.

## GWEN_SigHead_SetSignatureNumber()

GWENHYWFAR_API void GWEN_SigHead_SetSignatureNumber | ( | GWEN_SIGHEAD * | sh,
|  | int | i )

## GWEN_SigHead_SetSignatureProfile()

GWENHYWFAR_API void GWEN_SigHead_SetSignatureProfile | ( | GWEN_SIGHEAD * | sh,
|  | int | i )

References GWENHYWFAR_API.

## GWEN_SigHead_toBuffer()

GWENHYWFAR_API int GWEN_SigHead_toBuffer | ( | const GWEN_SIGHEAD * | sh,
|  | GWEN_BUFFER * | buf,
|  | uint8_t | tagType )

References GWENHYWFAR_API.